from spack import *

class Simpletraj(PythonPackage):
    """Lightweight coordinate-only trajectory reader based on code from GROMACS, MDAnalysis and VMD."""

    # Homepage and download url
    homepage = "https://github.com/arose/simpletraj"
    git = 'https://github.com/arose/simpletraj.git'

    # Set the gitlab accounts of this package maintainers
    maintainers = ['dbeltran']

    # Versions
    version('0.3', branch='master')

    # Dependencies
    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('py-setuptools')
    depends_on('py-numpy')

    # Test
    @run_after('install')
    @on_package_attributes(run_tests=True)
    def check_install (self):
        python("-c", 'import simpletraj')
